Unique value symbology doesn't work in canvas with postgres "character" data type

2010-03-03 08:09 AM - Mike Taves

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 12546

Description

If a unique value symbology is applied to a PostGIS layer with a data type "character", it can be formatted normally in the layer properties

dialog with expected results in the "Layers" pane. However, the lines are not formatted in the map canvas as expected, as all lines use the

"default" (blank) classification.

A possible cause of the problem is that the data type "character" will pad spaces to the specified width, for example "food" stored in

character(5) will actually be "food ", having a trailing space to fit 5 characters.

As a workaround, change the postgres data type in problem columns to "character varying", if possible.

History

#1 - 2010-03-03 10:48 AM - springmeyer -

ya, generally you don't want to use 'character' type, but when you do QGIS likely should not strip the padded whitespace.

I've not dug into this in a while, but noticed the issue via the Quantumnik plugin. Details here:

http://trac.mapnik.org/ticket/369

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2016-02-25 08:50 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

#7 - 2016-02-25 08:56 AM - Jürgen Fischer

- Resolution set to worksforme
not reproducable anymore

#8 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution changed from worksforme to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2025-04-27 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

